require_relative 'fraction'

class FractionList
  attr_reader :fractions

  def initialize
    @fractions = []
  end

  def read_from_file(file_name)
    strings = File.readlines(file_name)
    new_fractions = strings.map do |string|
      parts = string.split('/').map(&:strip).map(&:to_i)
      Fraction.new(*parts)
    end
    @fractions.concat(new_fractions)
  end
end
