require 'menu'

RSpec.describe Menu do
  describe '#read_fractions_from_file' do
    it 'calls the read_from_file method of FractionList class' do
      fake_fraction_list = instance_spy("FractionList")
      menu = Menu.new
      menu.fraction_list = fake_fraction_list
      expect(menu).to receive(:puts)
      expect(menu).to receive(:print)
      expect($stdin).to receive(:gets).and_return('file_name')
      expect(fake_fraction_list).to receive(:read_from_file).with('file_name')
      menu.read_fractions_from_file
    end
  end
end
